<?php

namespace itguild\forms\app\core;

use itguild\forms\core\cg_view\CgView;
use JetBrains\PhpStorm\NoReturn;

class BaseController
{
    protected \Twig\Environment $view;

    protected CgView $cgView;

    public function __construct()
    {
        $loader = new \Twig\Loader\FilesystemLoader(VIEW_PATH);
        $this->view = new \Twig\Environment($loader, [
            'cache' => VIEW_CACHE_PATH,
        ]);

        $this->cgView = new CgView();
        $this->cgView->viewPath = VIEW_PATH;
    }

    #[NoReturn] protected function redirect(string $url, int $code = 301): void
    {
        header('Location: ' . $url, true, $code);
        exit;
    }

}